
#Hiera configuration:
#ubuntu_server::ntp::gwdg_ntp_servers:
# - gr-gwdg1.gwdg.de
# - gr-fmz1.gwdg.de

#Parameters configuration
#class { 'ubuntu_server::ntp':
#	gwdg_ntp_servers => ["Kaesekuchen"]
#}



class ubuntu_server::ntp($gwdg_ntp_servers = ["gr-gwdg1.gwdg.de","gr-fmz1.gwdg.de"]) {
    
    package{"ntp":
        ensure => present,
    }

    file{"/etc/ntp.conf": 
	ensure   => present,
	content  => template("ubuntu_server/etc/ntp.conf"),
	mode     => 750,
	owner    => "root",
	group    => "root",
	require  => Package["ntp"]
    }~> Service['ntp']

    service{'ntp':
        ensure => running,
	require  => Package["ntp"]
    }
}
